Package org.eclipse.graphiti.ui.internal.config

# Class AbstractConfigurationProviderHolder

java.lang.Object
org.eclipse.graphiti.ui.internal.config.AbstractConfigurationProviderHolder

All Implemented Interfaces:
  `IConfigurationProviderHolder`

Direct Known Subclasses:
  `DefaultEditPolicyFactory`, `GFEditPolicyDelegate`, `PictogramsEditPartFactory`

public abstract class AbstractConfigurationProviderHolder extends Object implements IConfigurationProviderHolder
A simple implementation of the interface IConfigurationProviderHolder.

## Constructor Summary

Constructors
Constructor
Description
`AbstractConfigurationProviderHolder(IConfigurationProviderInternal configurationProvider)`
Creates a new SimpleConfigurationProviderHolder.

## Method Summary

Modifier and Type
Method
Description
`IConfigurationProviderInternal`
`getConfigurationProvider()`
Returns the IConfigurationProviderInternal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractConfigurationProviderHolder

public AbstractConfigurationProviderHolder(IConfigurationProviderInternal configurationProvider)
Creates a new SimpleConfigurationProviderHolder.

Parameters:
  `configurationProvider` - the configuration provider

## Method Details

### getConfigurationProvider

public IConfigurationProviderInternal getConfigurationProvider()
Description copied from interface: `IConfigurationProviderHolder`
Returns the IConfigurationProviderInternal. Must not return null.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal. Must not return null.